Bug 335641 - Review Request: gnome-device-manager - Graphical Device Manager Application
Review Request: gnome-device-manager - Graphical Device Manager Application
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 02:12 EDT by David Zeuthen
Modified: 2013-03-05 22:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 12:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
good spec (3.63 KB, text/x-rpm-spec)
2007-10-17 15:48 EDT, Matthias Clasen
no flags Details

  None (edit)
Description David Zeuthen 2007-10-17 02:12:04 EDT
Spec URL: http://people.freedesktop.org/~david/gnome-device-manager-review/gnome-device-manager.spec
SRPM URL: http://people.freedesktop.org/~david/gnome-device-manager-review/gnome-device-manager-0.2-1.fc8.src.rpm
Description: GNOME Device Manager is an application that provides a view of the
various devices connected to the system.
Comment 1 David Zeuthen 2007-10-17 02:12:59 EDT
Matthias said he was willing to review this one.. it's a non-essential packager
and probably won't be in the default install for F8.
Comment 2 David Zeuthen 2007-10-17 02:14:15 EDT
(In reply to comment #1)
> Matthias said he was willing to review this one.. it's a non-essential packager
> and probably won't be in the default install for F8.

Uh, I meant s/package/packager/ - no offense meant to Matthias! Sorry!
Comment 3 Parag AN(पराग) 2007-10-17 02:30:49 EDT
You don't need to set fedora-review? flag 
It should be set by reviewer.
Comment 4 Parag AN(पराग) 2007-10-17 02:42:20 EDT
1) Build.log showed me
checking for XML::Parser... configure: error: XML::Parser perl module is
required for intltool
=> You have missing BR: perl(XML::Parser)

2) missing ldconfig scriptlets

Comment 5 Parag AN(पराग) 2007-10-17 02:46:08 EDT
3)Now building again after adding missing BR, I saw
warning: File listed twice: /usr/share/gnome/help/gnome-device-manager/C
warning: File listed twice: /usr/share/gnome/help/gnome-device-manager/C/figures
warning: File listed twice:
/usr/share/gnome/help/gnome-device-manager/C/figures/gnome-device-manager.png
warning: File listed twice:
/usr/share/gnome/help/gnome-device-manager/C/gnome-device-manager.xml
warning: File listed twice: /usr/share/gnome/help/gnome-device-manager/C/legal.xml
warning: File listed twice:
/usr/share/omf/gnome-device-manager/gnome-device-manager-C.omf

4) you missed defattr(-,root,root,-) for -libs and -devel.
5)You may like to use make as
make %{?_smp_mflags}
Comment 6 Matthias Clasen 2007-10-17 15:48:01 EDT
Ok, I've done Parag and a few of my own cleanup to the spec, and I'll base the
review on that cleaned up spec/srpm, which I'll attach below.

rpmlint output:
rpmlint /var/lib/mock/fedora-development-i386/result/gnome-device-manager-*.i386.rpm
gnome-device-manager-devel.i386: W: no-documentation
gnome-device-manager-libs.i386: W: no-documentation

Package name: ok
spec file name: ok
packaging guidelines: followed
license: ok
license field: ok
license file: ok
spec language: american english
readability: excellent
upstream sources: ok
buildable: yes
ExcludeArch: n/a
BRs: ok
locales: handled properly
shared libs: ok
relocatable: n/a
directory ownership: ok
%files: ok
permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
headers: ok
static libs: n/a
pc files: ok
shared libs: ok
devel package: ok
libtool archives: ok
directory ownership: ok
%install: ok
utf8 filenames: ok

Comment 7 Matthias Clasen 2007-10-17 15:48:38 EDT
Created attachment 230341 [details]
good spec

Approved
Comment 8 Matthias Clasen 2007-11-08 10:09:24 EST
New Package CVS Request
=======================
Package Name: gnome-device-manager
Short Description: GNOME Device Manager is an application that provides a view of   
                   the various devices connected to the system.
Owners: davidz@redhat.com
Branches: 
InitialCC: 
Cvsextras Commits:
Comment 9 Kevin Fenzi 2007-11-08 13:44:29 EST
cvs done.
Comment 10 Parag AN(पराग) 2007-11-15 00:10:25 EST
is this built?
Comment 11 Matthias Clasen 2007-11-15 10:31:25 EST
hey, you can take over "nag davidz about this" from my daily todo...

still not built...
Comment 12 Parag AN(पराग) 2007-11-15 22:39:54 EST
(In reply to comment #11)
> hey, you can take over "nag davidz about this" from my daily todo...
sorry?

> 
> still not built...

ok.
Comment 13 Matthias Clasen 2007-11-29 12:53:29 EST
Built now

Note You need to log in before you can comment on or make changes to this bug.